ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractGroupService

-     public interface ContractGroupService

  Web-сервис для работы с группами договора. Используется в справочниках

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contractGroupDelete(java.util.Set<java.lang.Integer> ids)` Удаление групп (-ы) из БД.
    `ContractGroup` | `contractGroupGet(int id)` Получение одной единственной группы договора по ее коду.
    `java.util.List<ContractGroup>` | `contractGroupList(boolean all, java.lang.String order)` Получение списка групп договоров с возможностью задания сортировки выводимых групп
    `void` | `contractGroupUpdate(ContractGroup contractGroup)` Добавление/изменение группы договора.

- - ### Method Detail

    - #### contractGroupList

          java.util.List<ContractGroup> contractGroupList(boolean all,
                                                          java.lang.String order)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка групп договоров с возможностью задания сортировки выводимых групп
      Parameters:
        `all` - флаг того, нужно ли выводить все группы или только активные (отображаемые в редакторе договора)
        `order` - порядок сортировки. Может быть id - по коду группы; title - по названию группы.
      Returns:
        список групп договоров
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractGroupUpdate

          void contractGroupUpdate(ContractGroup contractGroup)
                            throws ru.bitel.bgbilling.common.BGException

      Добавление/изменение группы договора.
      Parameters:
        `contractGroup` - добавляемая/изменяемая группа договора
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractGroupDelete

          void contractGroupDelete(java.util.Set<java.lang.Integer> ids)
                            throws ru.bitel.bgbilling.common.BGException

      Удаление групп (-ы) из БД.
      Parameters:
        `ids` - набор кодов групп договоров
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractGroupGet

          ContractGroup contractGroupGet(int id)
                                  throws ru.bitel.bgbilling.common.BGException

      Получение одной единственной группы договора по ее коду.
      Parameters:
        `id` - код группы договора
      Returns:
        группа договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`